Read a file asynchronously.

- « Swoole\Async::read

- Swoole\Async::set »

- PHP Manual
- Swoole\Async
- Read a file asynchronously.

# Swoole\Async::readFile

(PECL swoole >= 1.9.0)

Swoole\Async::readFile — Read a file asynchronously.

### Description

public static Swoole\Async::readFile(string `$filename`, callable `$callback`): void

### Parameters

`filename`

  The filename of the file being read.

`callback`
  callback(string `$filename`, string `$content`): mixed
  `filename`

    The name of the file.

  `content`

    The content readed from the file.